Migration from the old plugin
Status: Closed Start date: March 27, 2013

Priority: Major Due date:  

Assignee: Luís Picciochi % Done: 90%

Category: plugins/scrobbler2 Estimated time: 0.00 hour

Target version:    

Affects version: 3.4-alpha1   

Description

Support automatic migration from the old scrobbler plugin:

import scrobbles from the old scrobble queue;

get a session key from the saved user/password on the old settings

See http://www.last.fm/forum/21716/_/656492

History

#1 - March 27, 2013 04:02 - Luís Picciochi

- Start date changed from March 03, 2013 to March 27, 2013

- % Done changed from 0 to 60

Work on migration from the old scrobbler was started.

The ability to upgrade from the old plugin without having to reconfigure the Scrobbler was added.

A best-effort attempt is made to retrieve a session key. If this is not possible, the plugin will spit a warning message so that the user knows why is

Audacious not scrobbling anymore.

Not done yet:

The Scrobbler2 plugin should be automagically enabled if the scrobbler plugin was enabled.

I thought this was going to be trivial, but probably it's not so easy.

The tracks left on the scrobblerqueue.txt are not being scrobbled yet.

See commit 5a76947f94.

#2 - March 30, 2013 18:48 - Luís Picciochi

- % Done changed from 60 to 90

#3 - April 28, 2013 13:54 - Luís Picciochi

Currently pending: scrobbling what's left on the scrobblerqueue.txt.

#4 - April 28, 2013 13:55 - Luís Picciochi

- Status changed from New to In Progress
#5 - March 10, 2015 05:19 - John Lindgren

- Status changed from In Progress to Closed

I don't think this is relevant any more.
